ViewChartFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class ViewChartFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.WorkflowPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeFormPrepareAction
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartFormPrepareAction

    public class ViewChartFormPrepareAction

extends MetricDisplayRangeFormPrepareAction

An `Action` that retrieves data from the BizApp to facilitate display of the various pages that provide metrics summaries.

Field Summary
`protected static org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartFormPrepareAction.BaseMetricDisplayComparator` | `comp`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ViewChartFormPrepareAction()`

Method Summary
`protected void` | `_setupBaselineExpectedRange(javax.servlet.http.HttpServletRequest request, int sessionId, ViewChartForm chartForm, AppdefResourceValue[] resources, ChartedMetricBean[] chartedMetrics, org.hyperic.hq.bizapp.shared.MeasurementBoss mb)`
`protected void` | `_setupPageData(javax.servlet.http.HttpServletRequest request, int sessionId, ViewChartForm chartForm, AppdefResourceValue[] resources, org.hyperic.hq.bizapp.shared.MeasurementBoss mb)`
`org.apache.struts.action.ActionForward` | `workflow(org.apache.struts.tiles.ComponentContext cc, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve data needed to display a Metrics Display Form.

Methods inherited from class org.hyperic.hq.ui.action.WorkflowPrepareAction
`execute`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### comp

    protected static final org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartFormPrepareAction.BaseMetricDisplayComparator comp

Constructor Detail

### ViewChartFormPrepareAction

    public ViewChartFormPrepareAction()

Method Detail

### workflow

    public org.apache.struts.action.ActionForward workflow(org.apache.struts.tiles.ComponentContext cc,
                                                           org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Retrieve data needed to display a Metrics Display Form. Respond to certain button clicks that alter the form display.

  Overrides:
    `workflow` in class `MetricDisplayRangeFormPrepareAction`
  Throws:
    `java.lang.Exception`

### _setupPageData

    protected void _setupPageData(javax.servlet.http.HttpServletRequest request,
                                  int sessionId,
                                  ViewChartForm chartForm,
                                  AppdefResourceValue[] resources,
                                  org.hyperic.hq.bizapp.shared.MeasurementBoss mb)
                           throws SessionTimeoutException,
                                  SessionNotFoundException,
                                  AppdefEntityNotFoundException,
                                  PermissionException,
                                  AppdefCompatException,
                                  java.rmi.RemoteException,
                                  MeasurementNotFoundException,
                                  BaselineCreationException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `java.rmi.RemoteException`
    `MeasurementNotFoundException`
    `BaselineCreationException`

### _setupBaselineExpectedRange

    protected void _setupBaselineExpectedRange(javax.servlet.http.HttpServletRequest request,
                                               int sessionId,
                                               ViewChartForm chartForm,
                                               AppdefResourceValue[] resources,
                                               ChartedMetricBean[] chartedMetrics,
                                               org.hyperic.hq.bizapp.shared.MeasurementBoss mb)
                                        throws SessionTimeoutException,
                                               SessionNotFoundException,
                                               MeasurementNotFoundException,
                                               BaselineCreationException,
                                               PermissionException,
                                               AppdefEntityNotFoundException,
                                               java.rmi.RemoteException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `MeasurementNotFoundException`
    `BaselineCreationException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.